New apt doesn't work with iphone 4s

  • 1
  • Question
  • Updated 3 months ago
So, all of the bucks that I spent on my Chamberlain garage door opener (CIGBU/C) is worthless with my iphone 4s.  Why don't you offer previous versions of the apt?

Photo of r_shirkey

r_shirkey

  • 2 Posts
  • 0 Reply Likes

Posted 3 months ago

  • 1
Photo of Michael Parker

Michael Parker

  • 360 Posts
  • 35 Reply Likes
Did you recently update the app? The 4S is very old and isn’t even supported by Apple anymore. the apps usually tell you when support for a device is being dropped.


Apple doesn’t support multiple versions of of the same app on the store at the same time.

If you use iTunes to sync and have an older version there you could delete the app from your phone and sync it via iTunes then make sure auto app update is disabled. Then just never update it until you upgrade your phone. That is nearly 8 years old. By the way amazing you still have have one that’s working. Kudos
(Edited)
Photo of r_shirkey

r_shirkey

  • 2 Posts
  • 0 Reply Likes
First, not all of us are made from money.  My 4s works fine.  MyQ could simply give the older app a different name to possibly avoid the apple's multiple version.  Or, MyQ could simply have an older version that could be downloaded from their website.  I don't see why I need to spend $$ when my old system did work.  Updating technology is fine, but not always necessary.
Photo of Michael Parker

Michael Parker

  • 354 Posts
  • 34 Reply Likes
No app developer offers older versions that I have seen. If you have a pre updated backup on iCloud or iTunes then you should be able to restore to the previous version of the app

The pain with progress is progress I’m glad your 4S is still working that’s awesome sadly tech has advanced tremendously over the last 8 years since that phone was released.

Just like you probably couldn’t use windows 95 applications anymore or like the move from analog to digital tv.

If you can’t get a backup with an older version of the app it’s time to upgrade the problem....the phone even a used older one like an iPhone 6 which is still supported by Apple. There is also a very small possibility of chamberlain able to roll the app back
Photo of Michael Parker

Michael Parker

  • 354 Posts
  • 34 Reply Likes
Hey so just looked up what the issue could be first let me tell you this is not Chamberlains fault and they cannot help you (realized this while feeding my son)

As of 2013 apples iPhone 5S became the first 64bit cpu based iPhone. As of iOS 11 (2018) Apple made all developers replace their older 32 bit apps with 64 bit ones. Your phone doesn’t do 64bit. The iPhone 5S is the oldest iPhone with 64 bit compatibility

https://www.macworld.com/article/3163...

So unfortunately the only way to get the myQ working is if you have an older backup of your phone with the app and restore with iTunes. If not you’ll have to find a used iPhone 5S or newer to use any updated apps on the Apple app store
Photo of Don Kendall

Don Kendall

  • 27 Posts
  • 6 Reply Likes
Do you have a backup of your phone in ITunes? If so you should still have the old app.
Photo of Michael Parker

Michael Parker

  • 354 Posts
  • 34 Reply Likes
That’s an option too